Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003085GameMaker: Studio[All Projects] HTML5public2012-05-01 12:242013-07-09 12:01
ReporterMudbuG 
Assigned ToRoss Manthorp 
PriorityLowSeveritySuggestionReproducibility100%
StatusclosedResolutionno change required 
PlatformHTML5 OSWindows 7OS Version
Summary0003085: HTML5: Would like more control over the generated nginx.conf file that is produced when I build my project
DescriptionCopy of text from my form post:

I would like to alter the generated nginx.conf file found with my compiled html5game project so that I can enable php while debugging (running) a game.

At first, I tried changing the nginx.conf file located in the nginx-1.0.4 folder. Testing JUST with nginx, PHP would work, but it would stop working when executing my game through the IDE. I finally realized that GM is generating a new nginx.conf file and putting it in the games folder. I caught the command line arguments and confirmed that nginx is being instructed to use this specific conf file, which of course, happily ignores my config changes that enabled PHP.
Steps To ReproduceCustomize the existing nginx.conf to enable PHP
Build and run the project

Problem: nginx.conf changes are not kept.
Additional InformationA more pointed wish list topic might be phrased another way:
"Please add support for easy integration of my HTML5 projects with PHP" :D
GM Version
Attached Files

- Relationships

-  Notes
(0019662)
Ross Manthorp (administrator)
2013-04-09 15:00

We no longer use Nginx web server.

- Issue History
Date Modified Username Field Change
2012-05-01 12:24 MudbuG New Issue
2012-05-01 20:16 Russell Kay Assigned To => Russell Kay
2012-05-01 20:16 Russell Kay Status new => assigned
2012-11-19 15:23 Daniel Cleaton Assigned To Russell Kay => user11992
2012-11-19 16:57 Daniel Cleaton Severity Wish => Suggestion
2013-04-09 15:00 Ross Manthorp Note Added: 0019662
2013-04-09 15:00 Ross Manthorp Assigned To user11992 => Ross Manthorp
2013-04-09 15:00 Ross Manthorp Status assigned => resolved
2013-04-09 15:00 Ross Manthorp Resolution open => no change required
2013-04-09 15:00 Ross Manthorp OS Windows => Windows 7
2013-04-09 15:00 Ross Manthorp OS Version 7 =>
2013-04-09 15:00 Ross Manthorp Summary Would like more control over the generated nginx.conf file that is produced when I build my project => HTML5: Would like more control over the generated nginx.conf file that is produced when I build my project
2013-07-09 12:01 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker